www/p5-CGI-Cookie-XS - The NetBSD Packages Collection

HTTP Cookie parser in pure C

This module implements a very simple parser for cookies used in
HTTP applications. We've found CGI::Simple::Cookie and CGI::Cookie
rather slow according to the profiling results for our OpenResty
project, hence the rewrite in C.

Special effort has been made to ensure this module works in the
same way as the latest CGI::Cookie (i.e., the pure Perl implementation).
If you find it doesn't, please let us know.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0earmv7hfp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 8.0earmv7hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0i386p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 8.0i386p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0powerpcp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 8.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 8.0x86_64p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 8.0x86_64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0aarch64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0aarch64p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0aarch64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0alphap5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0alphap5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0alphap5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0earmp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmv6hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmv6hfp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0earmv6hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmv7hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmv7hfp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0earmv7hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0earmv7hfp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0i386p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0i386p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0i386p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0mips64ebp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0mips64ebp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0mips64ebp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0mips64ebp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0mips64ebp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0mipselp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0mipselp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0mipselp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0mipselp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0powerpcp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0powerpcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sh3elp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sh3elp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sh3elp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sh3elp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sparc64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sparc64p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sparc64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sparcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0sparcp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sparcp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sparcp5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0sparcp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0vaxp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0vaxp5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0x86_64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0x86_64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0x86_64p5-CGI-Cookie-XS-0.18nb7.tgz
NetBSD 9.0x86_64p5-CGI-Cookie-XS-0.18nb8.tgz
NetBSD 9.0x86_64p5-CGI-Cookie-XS-0.18nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.